Update desktop policy
curl --request PATCH \
--url https://api.example.com/v1/desktop-policies/{desktopPolicyId} \
--header 'Content-Type: application/json' \
--data '
{
"policyName": "<string>",
"policy": {
"allowCustomProviders": true,
"allowZenModel": true,
"allowMultipleWorkspaces": true,
"allowControlSettings": true,
"allowManageExtensions": true,
"allowBuiltInExtensions": true,
"showWelcomePage": true,
"onboardingPrompts": [
"<string>"
]
},
"priority": 500000,
"isEnabled": true,
"memberIds": [
"<string>"
],
"teamIds": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/desktop-policies/{desktopPolicyId}"
payload = {
"policyName": "<string>",
"policy": {
"allowCustomProviders": True,
"allowZenModel": True,
"allowMultipleWorkspaces": True,
"allowControlSettings": True,
"allowManageExtensions": True,
"allowBuiltInExtensions": True,
"showWelcomePage": True,
"onboardingPrompts": ["<string>"]
},
"priority": 500000,
"isEnabled": True,
"memberIds": ["<string>"],
"teamIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
policyName: '<string>',
policy: {
allowCustomProviders: true,
allowZenModel: true,
allowMultipleWorkspaces: true,
allowControlSettings: true,
allowManageExtensions: true,
allowBuiltInExtensions: true,
showWelcomePage: true,
onboardingPrompts: ['<string>']
},
priority: 500000,
isEnabled: true,
memberIds: ['<string>'],
teamIds: ['<string>']
})
};
fetch('https://api.example.com/v1/desktop-policies/{desktopPolicyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"desktopPolicy": {}
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"feature": "<string>",
"message": "<string>"
}{
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Desktop Policies
Update desktop policy
PATCH
/
v1
/
desktop-policies
/
{desktopPolicyId}
Update desktop policy
Path Parameters
Den TypeID with 'dpo_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^dpo_.*Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
Required range:
0 <= x <= 1000000Maximum array length:
500Den TypeID with 'om_' prefix and a 26-character base32 suffix.
Required string length:
29Pattern:
^om_.*Maximum array length:
500Den TypeID with 'tem_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^tem_.*Response
Desktop policy updated successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I